GeoIP.conf(5)

NAME
GeoIP.conf - Configuration file for geoipupdate

SYNOPSIS
This file allows you to configure your geoipupdate program to download purchased GeoIP2 and GeoIP Legacy databases.

DESCRIPTION
The file consists of one setting per line. Lines starting with # are comments and will not be processed. All setting keywords are case sensitive.

The default configuration file is found at: /etc/GeoIP.conf

  Required settings:

UserId
    Your MaxMind user ID.

LicenseKey
    Your case-sensitive MaxMind license key.

ProductIds
    List of product IDs. Product IDs may consist of letters, digits, and dashes (e.g., "GeoIP2-City", "106").

  Optional settings:

DatabaseDirectory
    The directory to store the database files. The default is /usr/share/GeoIP

Host
    The host name of the server to use. The default is updates.maxmind.com.

Protocol
    The protocol to use. Valid values are https and http. The default is https.

Proxy
    The proxy host name or IP address. You may optionally specify a port number, e.g., 127.0.0.1:8888. If no port number is specified, 1080 will be used.

ProxyUserPassword
    The proxy user name and password, separated by a colon. For instance, username:password.

SkipPeerVerification
    Skip peer verification when using https. Valid values are 0 and 1. The default is 0.

SkipHostnameVerification
    Skip the host name verification when using https. This option is either 0 and 1. The default is 0.

FILES

/etc/GeoIP.conf
    Default geoipupdate configuration file.

SEE ALSO
geoipupdate(1)